--- title: "Get Quarantined Hosts" slug: "get-quarantined-hosts-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-quarantined-hosts-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Quarantined Hosts This URL provides the list of Quarantined Hosts on the specific Sensor. ### Resource URL GET /sensor//action/quarantinehost ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor Id | Number | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `QuarantineHostDescriptor` | List of quarantined hosts | Array | Details of object in QuarantineHostDescriptor: | Field Name | Description | Data Type | | --- | --- | --- | | `IPAddress` | IPv4/IPv6 to be quarantined | String | | `Duration` | End time (in NSM Server Timezone) when the IP will be released from quarantine | String | ### Example **Request** GET [https:///sdkapi/sensor/1001/action/quarantinehost](https://<NSM_IP>/sdkapi/sensor/1001/action/quarantinehost) **Response** ``` {   "QuarantineHostDescriptor":   [       {           "IPAddress": "102.102.102.122",           "Duration": 1350630974000       },       {           "IPAddress": "2607:f0d0:1002:0051:0000:0000:0000:0604",           "Duration": 1350631900000       }   ] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is Inactive |